var ae = (t, e, s) => {
  if (!e.has(t))
    throw TypeError("Cannot " + s);
};
var n = (t, e, s) => (ae(t, e, "read from private field"), s ? s.call(t) : e.get(t)), f = (t, e, s) => {
  if (e.has(t))
    throw TypeError("Cannot add the same private member more than once");
  e instanceof WeakSet ? e.add(t) : e.set(t, s);
}, u = (t, e, s, r) => (ae(t, e, "write to private field"), r ? r.call(t, s) : e.set(t, s), s);
var b = (t, e, s) => (ae(t, e, "access private method"), s);
import * as O from "react";
var me = class {
  constructor() {
    this.listeners = /* @__PURE__ */ new Set(), this.subscribe = this.subscribe.bind(this);
  }
  subscribe(t) {
    return this.listeners.add(t), this.onSubscribe(), () => {
      this.listeners.delete(t), this.onUnsubscribe();
    };
  }
  hasListeners() {
    return this.listeners.size > 0;
  }
  onSubscribe() {
  }
  onUnsubscribe() {
  }
}, W = typeof window > "u" || "Deno" in window;
function Ve() {
}
function dt(t, e) {
  return typeof t == "function" ? t(e) : t;
}
function Ce(t) {
  return typeof t == "number" && t >= 0 && t !== 1 / 0;
}
function _e(t, e) {
  return Math.max(t + (e || 0) - Date.now(), 0);
}
function yt(t, e) {
  const {
    type: s = "all",
    exact: r,
    fetchStatus: a,
    predicate: o,
    queryKey: h,
    stale: c
  } = t;
  if (h) {
    if (r) {
      if (e.queryHash !== qe(h, e.options))
        return !1;
    } else if (!Re(e.queryKey, h))
      return !1;
  }
  if (s !== "all") {
    const p = e.isActive();
    if (s === "active" && !p || s === "inactive" && p)
      return !1;
  }
  return !(typeof c == "boolean" && e.isStale() !== c || typeof a < "u" && a !== e.state.fetchStatus || o && !o(e));
}
function pt(t, e) {
  const { exact: s, status: r, predicate: a, mutationKey: o } = t;
  if (o) {
    if (!e.options.mutationKey)
      return !1;
    if (s) {
      if (oe(e.options.mutationKey) !== oe(o))
        return !1;
    } else if (!Re(e.options.mutationKey, o))
      return !1;
  }
  return !(r && e.state.status !== r || a && !a(e));
}
function qe(t, e) {
  return ((e == null ? void 0 : e.queryKeyHashFn) || oe)(t);
}
function oe(t) {
  return JSON.stringify(
    t,
    (e, s) => he(s) ? Object.keys(s).sort().reduce((r, a) => (r[a] = s[a], r), {}) : s
  );
}
function Re(t, e) {
  return t === e ? !0 : typeof t != typeof e ? !1 : t && e && typeof t == "object" && typeof e == "object" ? !Object.keys(e).some((s) => !Re(t[s], e[s])) : !1;
}
function Me(t, e) {
  if (t === e)
    return t;
  const s = Ee(t) && Ee(e);
  if (s || he(t) && he(e)) {
    const r = s ? t.length : Object.keys(t).length, a = s ? e : Object.keys(e), o = a.length, h = s ? [] : {};
    let c = 0;
    for (let p = 0; p < o; p++) {
      const m = s ? p : a[p];
      h[m] = Me(t[m], e[m]), h[m] === t[m] && c++;
    }
    return r === o && c === r ? t : h;
  }
  return e;
}
function ue(t, e) {
  if (t && !e || e && !t)
    return !1;
  for (const s in t)
    if (t[s] !== e[s])
      return !1;
  return !0;
}
function Ee(t) {
  return Array.isArray(t) && t.length === Object.keys(t).length;
}
function he(t) {
  if (!ge(t))
    return !1;
  const e = t.constructor;
  if (typeof e > "u")
    return !0;
  const s = e.prototype;
  return !(!ge(s) || !s.hasOwnProperty("isPrototypeOf"));
}
function ge(t) {
  return Object.prototype.toString.call(t) === "[object Object]";
}
function je(t) {
  return new Promise((e) => {
    setTimeout(e, t);
  });
}
function Se(t) {
  je(0).then(t);
}
function Fe(t, e, s) {
  return typeof s.structuralSharing == "function" ? s.structuralSharing(t, e) : s.structuralSharing !== !1 ? Me(t, e) : e;
}
function bt(t, e, s = 0) {
  const r = [...t, e];
  return s && r.length > s ? r.slice(1) : r;
}
function vt(t, e, s = 0) {
  const r = [e, ...t];
  return s && r.length > s ? r.slice(0, -1) : r;
}
var I, Q, k, Le, He = (Le = class extends me {
  constructor() {
    super();
    f(this, I, void 0);
    f(this, Q, void 0);
    f(this, k, void 0);
    u(this, k, (e) => {
      if (!W && window.addEventListener) {
        const s = () => e();
        return window.addEventListener("visibilitychange", s, !1), () => {
          window.removeEventListener("visibilitychange", s);
        };
      }
    });
  }
  onSubscribe() {
    n(this, Q) || this.setEventListener(n(this, k));
  }
  onUnsubscribe() {
    var e;
    this.hasListeners() || ((e = n(this, Q)) == null || e.call(this), u(this, Q, void 0));
  }
  setEventListener(e) {
    var s;
    u(this, k, e), (s = n(this, Q)) == null || s.call(this), u(this, Q, e((r) => {
      typeof r == "boolean" ? this.setFocused(r) : this.onFocus();
    }));
  }
  setFocused(e) {
    n(this, I) !== e && (u(this, I, e), this.onFocus());
  }
  onFocus() {
    this.listeners.forEach((e) => {
      e();
    });
  }
  isFocused() {
    var e;
    return typeof n(this, I) == "boolean" ? n(this, I) : ((e = globalThis.document) == null ? void 0 : e.visibilityState) !== "hidden";
  }
}, I = new WeakMap(), Q = new WeakMap(), k = new WeakMap(), Le), Te = new He(), K, L, N, Ue, We = (Ue = class extends me {
  constructor() {
    super();
    f(this, K, !0);
    f(this, L, void 0);
    f(this, N, void 0);
    u(this, N, (e) => {
      if (!W && window.addEventListener) {
        const s = () => e(!0), r = () => e(!1);
        return window.addEventListener("online", s, !1), window.addEventListener("offline", r, !1), () => {
          window.removeEventListener("online", s), window.removeEventListener("offline", r);
        };
      }
    });
  }
  onSubscribe() {
    n(this, L) || this.setEventListener(n(this, N));
  }
  onUnsubscribe() {
    var e;
    this.hasListeners() || ((e = n(this, L)) == null || e.call(this), u(this, L, void 0));
  }
  setEventListener(e) {
    var s;
    u(this, N, e), (s = n(this, L)) == null || s.call(this), u(this, L, e(this.setOnline.bind(this)));
  }
  setOnline(e) {
    n(this, K) !== e && (u(this, K, e), this.listeners.forEach((r) => {
      r(e);
    }));
  }
  isOnline() {
    return n(this, K);
  }
}, K = new WeakMap(), L = new WeakMap(), N = new WeakMap(), Ue), xe = new We();
function Je(t) {
  return Math.min(1e3 * 2 ** t, 3e4);
}
function De(t) {
  return (t ?? "online") === "online" ? xe.isOnline() : !0;
}
var Ae = class {
  constructor(t) {
    this.revert = t == null ? void 0 : t.revert, this.silent = t == null ? void 0 : t.silent;
  }
};
function mt(t) {
  return t instanceof Ae;
}
function Rt(t) {
  let e = !1, s = 0, r = !1, a, o, h;
  const c = new Promise((l, y) => {
    o = l, h = y;
  }), p = (l) => {
    var y;
    r || (P(new Ae(l)), (y = t.abort) == null || y.call(t));
  }, m = () => {
    e = !0;
  }, i = () => {
    e = !1;
  }, w = () => !Te.isFocused() || t.networkMode !== "always" && !xe.isOnline(), se = (l) => {
    var y;
    r || (r = !0, (y = t.onSuccess) == null || y.call(t, l), a == null || a(), o(l));
  }, P = (l) => {
    var y;
    r || (r = !0, (y = t.onError) == null || y.call(t, l), a == null || a(), h(l));
  }, E = () => new Promise((l) => {
    var y;
    a = (g) => {
      const S = r || !w();
      return S && l(g), S;
    }, (y = t.onPause) == null || y.call(t);
  }).then(() => {
    var l;
    a = void 0, r || (l = t.onContinue) == null || l.call(t);
  }), A = () => {
    if (r)
      return;
    let l;
    try {
      l = t.fn();
    } catch (y) {
      l = Promise.reject(y);
    }
    Promise.resolve(l).then(se).catch((y) => {
      var q;
      if (r)
        return;
      const g = t.retry ?? (W ? 0 : 3), S = t.retryDelay ?? Je, re = typeof S == "function" ? S(s, y) : S, Oe = g === !0 || typeof g == "number" && s < g || typeof g == "function" && g(s, y);
      if (e || !Oe) {
        P(y);
        return;
      }
      s++, (q = t.onFail) == null || q.call(t, s, y), je(re).then(() => {
        if (w())
          return E();
      }).then(() => {
        e ? P(y) : A();
      });
    });
  };
  return De(t.networkMode) ? A() : E().then(A), {
    promise: c,
    cancel: p,
    continue: () => (a == null ? void 0 : a()) ? c : Promise.resolve(),
    cancelRetry: m,
    continueRetry: i
  };
}
function Ge() {
  let t = [], e = 0, s = (i) => {
    i();
  }, r = (i) => {
    i();
  };
  const a = (i) => {
    let w;
    e++;
    try {
      w = i();
    } finally {
      e--, e || c();
    }
    return w;
  }, o = (i) => {
    e ? t.push(i) : Se(() => {
      s(i);
    });
  }, h = (i) => (...w) => {
    o(() => {
      i(...w);
    });
  }, c = () => {
    const i = t;
    t = [], i.length && Se(() => {
      r(() => {
        i.forEach((w) => {
          s(w);
        });
      });
    });
  };
  return {
    batch: a,
    batchCalls: h,
    schedule: o,
    setNotifyFunction: (i) => {
      s = i;
    },
    setBatchNotifyFunction: (i) => {
      r = i;
    }
  };
}
var ke = Ge(), R, d, B, v, M, z, F, J, V, _, j, T, U, x, D, H, G, ce, X, le, Y, fe, Z, de, $, ye, ee, pe, te, be, ne, Ke, Ie, Xe = (Ie = class extends me {
  constructor(e, s) {
    super();
    f(this, D);
    f(this, G);
    f(this, X);
    f(this, Y);
    f(this, Z);
    f(this, $);
    f(this, ee);
    f(this, te);
    f(this, ne);
    f(this, R, void 0);
    f(this, d, void 0);
    f(this, B, void 0);
    f(this, v, void 0);
    f(this, M, void 0);
    f(this, z, void 0);
    f(this, F, void 0);
    f(this, J, void 0);
    f(this, V, void 0);
    // This property keeps track of the last query with defined data.
    // It will be used to pass the previous data and query to the placeholder function between renders.
    f(this, _, void 0);
    f(this, j, void 0);
    f(this, T, void 0);
    f(this, U, void 0);
    f(this, x, void 0);
    u(this, d, void 0), u(this, B, void 0), u(this, v, void 0), u(this, x, /* @__PURE__ */ new Set()), u(this, R, e), this.options = s, u(this, F, null), this.bindMethods(), this.setOptions(s);
  }
  bindMethods() {
    this.refetch = this.refetch.bind(this);
  }
  onSubscribe() {
    this.listeners.size === 1 && (n(this, d).addObserver(this), Pe(n(this, d), this.options) ? b(this, D, H).call(this) : this.updateResult(), b(this, Z, de).call(this));
  }
  onUnsubscribe() {
    this.hasListeners() || this.destroy();
  }
  shouldFetchOnReconnect() {
    return ve(
      n(this, d),
      this.options,
      this.options.refetchOnReconnect
    );
  }
  shouldFetchOnWindowFocus() {
    return ve(
      n(this, d),
      this.options,
      this.options.refetchOnWindowFocus
    );
  }
  destroy() {
    this.listeners = /* @__PURE__ */ new Set(), b(this, $, ye).call(this), b(this, ee, pe).call(this), n(this, d).removeObserver(this);
  }
  setOptions(e, s) {
    const r = this.options, a = n(this, d);
    if (this.options = n(this, R).defaultQueryOptions(e), ue(r, this.options) || n(this, R).getQueryCache().notify({
      type: "observerOptionsUpdated",
      query: n(this, d),
      observer: this
    }), typeof this.options.enabled < "u" && typeof this.options.enabled != "boolean")
      throw new Error("Expected enabled to be a boolean");
    this.options.queryKey || (this.options.queryKey = r.queryKey), b(this, te, be).call(this);
    const o = this.hasListeners();
    o && Qe(
      n(this, d),
      a,
      this.options,
      r
    ) && b(this, D, H).call(this), this.updateResult(s), o && (n(this, d) !== a || this.options.enabled !== r.enabled || this.options.staleTime !== r.staleTime) && b(this, G, ce).call(this);
    const h = b(this, X, le).call(this);
    o && (n(this, d) !== a || this.options.enabled !== r.enabled || h !== n(this, U)) && b(this, Y, fe).call(this, h);
  }
  getOptimisticResult(e) {
    const s = n(this, R).getQueryCache().build(n(this, R), e), r = this.createResult(s, e);
    return Ze(this, r) && (u(this, v, r), u(this, z, this.options), u(this, M, n(this, d).state)), r;
  }
  getCurrentResult() {
    return n(this, v);
  }
  trackResult(e) {
    const s = {};
    return Object.keys(e).forEach((r) => {
      Object.defineProperty(s, r, {
        configurable: !1,
        enumerable: !0,
        get: () => (n(this, x).add(r), e[r])
      });
    }), s;
  }
  getCurrentQuery() {
    return n(this, d);
  }
  refetch({ ...e } = {}) {
    return this.fetch({
      ...e
    });
  }
  fetchOptimistic(e) {
    const s = n(this, R).defaultQueryOptions(e), r = n(this, R).getQueryCache().build(n(this, R), s);
    return r.isFetchingOptimistic = !0, r.fetch().then(() => this.createResult(r, s));
  }
  fetch(e) {
    return b(this, D, H).call(this, {
      ...e,
      cancelRefetch: e.cancelRefetch ?? !0
    }).then(() => (this.updateResult(), n(this, v)));
  }
  createResult(e, s) {
    var q;
    const r = n(this, d), a = this.options, o = n(this, v), h = n(this, M), c = n(this, z), m = e !== r ? e.state : n(this, B), { state: i } = e;
    let { error: w, errorUpdatedAt: se, fetchStatus: P, status: E } = i, A = !1, l;
    if (s._optimisticResults) {
      const C = this.hasListeners(), ie = !C && Pe(e, s), ze = C && Qe(e, r, s, a);
      (ie || ze) && (P = De(e.options.networkMode) ? "fetching" : "paused", i.dataUpdatedAt || (E = "pending")), s._optimisticResults === "isRestoring" && (P = "idle");
    }
    if (s.select && typeof i.data < "u")
      if (o && i.data === (h == null ? void 0 : h.data) && s.select === n(this, J))
        l = n(this, V);
      else
        try {
          u(this, J, s.select), l = s.select(i.data), l = Fe(o == null ? void 0 : o.data, l, s), u(this, V, l), u(this, F, null);
        } catch (C) {
          u(this, F, C);
        }
    else
      l = i.data;
    if (typeof s.placeholderData < "u" && typeof l > "u" && E === "pending") {
      let C;
      if (o != null && o.isPlaceholderData && s.placeholderData === (c == null ? void 0 : c.placeholderData))
        C = o.data;
      else if (C = typeof s.placeholderData == "function" ? s.placeholderData(
        (q = n(this, _)) == null ? void 0 : q.state.data,
        n(this, _)
      ) : s.placeholderData, s.select && typeof C < "u")
        try {
          C = s.select(C), u(this, F, null);
        } catch (ie) {
          u(this, F, ie);
        }
      typeof C < "u" && (E = "success", l = Fe(
        o == null ? void 0 : o.data,
        C,
        s
      ), A = !0);
    }
    n(this, F) && (w = n(this, F), l = n(this, V), se = Date.now(), E = "error");
    const y = P === "fetching", g = E === "pending", S = E === "error", re = g && y;
    return {
      status: E,
      fetchStatus: P,
      isPending: g,
      isSuccess: E === "success",
      isError: S,
      isInitialLoading: re,
      isLoading: re,
      data: l,
      dataUpdatedAt: i.dataUpdatedAt,
      error: w,
      errorUpdatedAt: se,
      failureCount: i.fetchFailureCount,
      failureReason: i.fetchFailureReason,
      errorUpdateCount: i.errorUpdateCount,
      isFetched: i.dataUpdateCount > 0 || i.errorUpdateCount > 0,
      isFetchedAfterMount: i.dataUpdateCount > m.dataUpdateCount || i.errorUpdateCount > m.errorUpdateCount,
      isFetching: y,
      isRefetching: y && !g,
      isLoadingError: S && i.dataUpdatedAt === 0,
      isPaused: P === "paused",
      isPlaceholderData: A,
      isRefetchError: S && i.dataUpdatedAt !== 0,
      isStale: we(e, s),
      refetch: this.refetch
    };
  }
  updateResult(e) {
    const s = n(this, v), r = this.createResult(n(this, d), this.options);
    if (u(this, M, n(this, d).state), u(this, z, this.options), n(this, M).data !== void 0 && u(this, _, n(this, d)), ue(r, s))
      return;
    u(this, v, r);
    const a = {}, o = () => {
      if (!s)
        return !0;
      const { notifyOnChangeProps: h } = this.options, c = typeof h == "function" ? h() : h;
      if (c === "all" || !c && !n(this, x).size)
        return !0;
      const p = new Set(
        c ?? n(this, x)
      );
      return this.options.throwOnError && p.add("error"), Object.keys(n(this, v)).some((m) => {
        const i = m;
        return n(this, v)[i] !== s[i] && p.has(i);
      });
    };
    (e == null ? void 0 : e.listeners) !== !1 && o() && (a.listeners = !0), b(this, ne, Ke).call(this, { ...a, ...e });
  }
  onQueryUpdate() {
    this.updateResult(), this.hasListeners() && b(this, Z, de).call(this);
  }
}, R = new WeakMap(), d = new WeakMap(), B = new WeakMap(), v = new WeakMap(), M = new WeakMap(), z = new WeakMap(), F = new WeakMap(), J = new WeakMap(), V = new WeakMap(), _ = new WeakMap(), j = new WeakMap(), T = new WeakMap(), U = new WeakMap(), x = new WeakMap(), D = new WeakSet(), H = function(e) {
  b(this, te, be).call(this);
  let s = n(this, d).fetch(
    this.options,
    e
  );
  return e != null && e.throwOnError || (s = s.catch(Ve)), s;
}, G = new WeakSet(), ce = function() {
  if (b(this, $, ye).call(this), W || n(this, v).isStale || !Ce(this.options.staleTime))
    return;
  const s = _e(
    n(this, v).dataUpdatedAt,
    this.options.staleTime
  ) + 1;
  u(this, j, setTimeout(() => {
    n(this, v).isStale || this.updateResult();
  }, s));
}, X = new WeakSet(), le = function() {
  return (typeof this.options.refetchInterval == "function" ? this.options.refetchInterval(n(this, d)) : this.options.refetchInterval) ?? !1;
}, Y = new WeakSet(), fe = function(e) {
  b(this, ee, pe).call(this), u(this, U, e), !(W || this.options.enabled === !1 || !Ce(n(this, U)) || n(this, U) === 0) && u(this, T, setInterval(() => {
    (this.options.refetchIntervalInBackground || Te.isFocused()) && b(this, D, H).call(this);
  }, n(this, U)));
}, Z = new WeakSet(), de = function() {
  b(this, G, ce).call(this), b(this, Y, fe).call(this, b(this, X, le).call(this));
}, $ = new WeakSet(), ye = function() {
  n(this, j) && (clearTimeout(n(this, j)), u(this, j, void 0));
}, ee = new WeakSet(), pe = function() {
  n(this, T) && (clearInterval(n(this, T)), u(this, T, void 0));
}, te = new WeakSet(), be = function() {
  const e = n(this, R).getQueryCache().build(n(this, R), this.options);
  if (e === n(this, d))
    return;
  const s = n(this, d);
  u(this, d, e), u(this, B, e.state), this.hasListeners() && (s == null || s.removeObserver(this), e.addObserver(this));
}, ne = new WeakSet(), Ke = function(e) {
  ke.batch(() => {
    e.listeners && this.listeners.forEach((s) => {
      s(n(this, v));
    }), n(this, R).getQueryCache().notify({
      query: n(this, d),
      type: "observerResultsUpdated"
    });
  });
}, Ie);
function Ye(t, e) {
  return e.enabled !== !1 && !t.state.dataUpdatedAt && !(t.state.status === "error" && e.retryOnMount === !1);
}
function Pe(t, e) {
  return Ye(t, e) || t.state.dataUpdatedAt > 0 && ve(t, e, e.refetchOnMount);
}
function ve(t, e, s) {
  if (e.enabled !== !1) {
    const r = typeof s == "function" ? s(t) : s;
    return r === "always" || r !== !1 && we(t, e);
  }
  return !1;
}
function Qe(t, e, s, r) {
  return s.enabled !== !1 && (t !== e || r.enabled === !1) && (!s.suspense || t.state.status !== "error") && we(t, s);
}
function we(t, e) {
  return t.isStaleByTime(e.staleTime);
}
function Ze(t, e) {
  return !ue(t.getCurrentResult(), e);
}
var Ne = O.createContext(
  void 0
), $e = (t) => {
  const e = O.useContext(Ne);
  if (t)
    return t;
  if (!e)
    throw new Error("No QueryClient set, use QueryClientProvider to set one");
  return e;
}, wt = ({
  client: t,
  children: e
}) => (O.useEffect(() => (t.mount(), () => {
  t.unmount();
}), [t]), /* @__PURE__ */ O.createElement(Ne.Provider, { value: t }, e)), Be = O.createContext(!1), et = () => O.useContext(Be);
Be.Provider;
function tt() {
  let t = !1;
  return {
    clearReset: () => {
      t = !1;
    },
    reset: () => {
      t = !0;
    },
    isReset: () => t
  };
}
var st = O.createContext(tt()), rt = () => O.useContext(st);
function nt(t, e) {
  return typeof t == "function" ? t(...e) : !!t;
}
var it = (t, e) => {
  (t.suspense || t.throwOnError) && (e.isReset() || (t.retryOnMount = !1));
}, at = (t) => {
  O.useEffect(() => {
    t.clearReset();
  }, [t]);
}, ot = ({
  result: t,
  errorResetBoundary: e,
  throwOnError: s,
  query: r
}) => t.isError && !e.isReset() && !t.isFetching && nt(s, [t.error, r]), ut = (t) => {
  t.suspense && typeof t.staleTime != "number" && (t.staleTime = 1e3);
}, ht = (t, e) => (t == null ? void 0 : t.suspense) && e.isPending, ct = (t, e, s) => e.fetchOptimistic(t).catch(() => {
  s.clearReset();
});
function lt(t, e, s) {
  if (process.env.NODE_ENV !== "production" && (typeof t != "object" || Array.isArray(t)))
    throw new Error(
      'Bad argument type. Starting with v5, only the "Object" form is allowed when calling query related functions. Please use the error stack to find the culprit call. More info here: https://tanstack.com/query/latest/docs/react/guides/migrating-to-v5#supports-a-single-signature-one-object'
    );
  const r = $e(s), a = et(), o = rt(), h = r.defaultQueryOptions(t);
  h._optimisticResults = a ? "isRestoring" : "optimistic", ut(h), it(h, o), at(o);
  const [c] = O.useState(
    () => new e(
      r,
      h
    )
  ), p = c.getOptimisticResult(h);
  if (O.useSyncExternalStore(
    O.useCallback(
      (m) => {
        const i = a ? () => {
        } : c.subscribe(ke.batchCalls(m));
        return c.updateResult(), i;
      },
      [c, a]
    ),
    () => c.getCurrentResult(),
    () => c.getCurrentResult()
  ), O.useEffect(() => {
    c.setOptions(h, { listeners: !1 });
  }, [h, c]), ht(h, p))
    throw c.setOptions(h, { listeners: !1 }), ct(h, c, o);
  if (ot({
    result: p,
    errorResetBoundary: o,
    throwOnError: h.throwOnError,
    query: c.getCurrentQuery()
  }))
    throw p.error;
  return h.notifyOnChangeProps ? p : c.trackResult(p);
}
function Ot(t, e) {
  return lt(t, Xe, e);
}
export {
  wt as Q,
  me as S,
  Ot as a,
  W as b,
  Rt as c,
  ke as d,
  mt as e,
  De as f,
  pt as g,
  qe as h,
  Ce as i,
  vt as j,
  bt as k,
  Te as l,
  yt as m,
  Ve as n,
  xe as o,
  dt as p,
  oe as q,
  Fe as r,
  Re as s,
  _e as t,
  $e as u
};
